Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ITensionLine

    java.lang.Object
      igeo.IObject
          igeo.IGeometry
              igeo.ICurve
                  igeo.ITensionLine

All Implemented Interfaces:
  ICurveI, ICurveOp, IDynamics, IParameter, ISubobject, ITensionI, ITransformable, IVal

    public class ITensionLine

extends ICurve
implements ITensionI, IDynamics

Class of IDynamicObject to simulate tension force between two particles.

Author:
  Satoru Sugihara

Field Summary
`java.util.ArrayList<IObject>` | `targets` target objects to be updated by dynamic object
`ITension` | `tensionDynamics`

Fields inherited from class igeo.ICurve
`curve`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Fields inherited from interface igeo.ITensionI
`defaultTension`

Constructor Summary
`ITensionLine(IParticleI p1, IParticleI p2)`
`ITensionLine(IParticleI p1, IParticleI p2, double tension)`
`ITensionLine(IVecI p1, IVecI p2)`
`ITensionLine(IVecI p1, IVecI p2, double tension)`

Method Summary
`ITensionLine` | `attr(IAttribute at)` set attributes
`ITensionLine` | `clr(java.awt.Color c)`
`ITensionLine` | `clr(java.awt.Color c, double alpha)`
`ITensionLine` | `clr(java.awt.Color c, float alpha)`
`ITensionLine` | `clr(java.awt.Color c, int alpha)`
`ITensionLine` | `clr(double dgray)`
`ITensionLine` | `clr(double dgray, double dalpha)`
`ITensionLine` | `clr(double dr, double dg, double db)`
`ITensionLine` | `clr(double dr, double dg, double db, double da)`
`ITensionLine` | `clr(float fgray)`
`ITensionLine` | `clr(float fgray, float falpha)`
`ITensionLine` | `clr(float fr, float fg, float fb)`
`ITensionLine` | `clr(float fr, float fg, float fb, float fa)`
`ITensionLine` | `clr(IColor c)`
`ITensionLine` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
`ITensionLine` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
`ITensionLine` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
`ITensionLine` | `clr(int gray)`
`ITensionLine` | `clr(int gray, int alpha)`
`ITensionLine` | `clr(int r, int g, int b)`
`ITensionLine` | `clr(int r, int g, int b, int a)`
`boolean` | `constant()` if constantTension is true, amount of force is always constant and it's equals to tension.
`ITensionLine` | `constant(boolean cnst)`
`ITensionLine` | `hide()`
`ITensionLine` | `hsb(double h, double s, double b)`
`ITensionLine` | `hsb(double h, double s, double b, double a)`
`ITensionLine` | `hsb(float h, float s, float b)`
`ITensionLine` | `hsb(float h, float s, float b, float a)`
`void` | `initTensionLine(IParticleI p1, IParticleI p2)`
`void` | `initTensionLine(IParticleI p1, IParticleI p2, double tension)`
`void` | `interact(java.util.ArrayList<IDynamics> dynamics)` behavior definition of interaction with other dynamic objects.
`ITensionLine` | `layer(ILayer l)` Set layer by ILayer object
`ITensionLine` | `layer(java.lang.String l)` Set layer by layer name.
`java.util.ArrayList<IDynamics>` | `localDynamics()` IDynamicsBase doesn't implement local dynamics feature
`ITensionLine` | `name(java.lang.String nm)` IObject methods
`ITensionLine` | `parent()` for IDynamics
`ITensionLine` | `parent(IObject par)` setting parent object
`IParticleI` | `particle(int i)` alias of pt(int)
`IParticleI` | `particle1()` alias of pt1()
`IParticleI` | `particle2()` alias of pt2()
`IVec` | `pos(int i)` position of particle(i)
`IVec` | `pos1()` position of particle1
`IVec` | `pos2()` position of particle2
`void` | `postinteract(java.util.ArrayList<IDynamics> dynamics)` executed after interact(ArrayList).
`void` | `postupdate()` executed after update().
`void` | `preinteract(java.util.ArrayList<IDynamics> dynamics)` executed before interact(ArrayList).
`void` | `preupdate()` executed before update().
`IParticleI` | `pt(int i)` getting end point.
`IParticleI` | `pt1()` getting end point1.
`IParticleI` | `pt2()` getting end point2.
`ITensionLine` | `removeTarget(int i)` remove target object.
`ITensionLine` | `removeTarget(IObject obj)` remove target object.
`ITensionLine` | `setColor(java.awt.Color c)`
`ITensionLine` | `setColor(java.awt.Color c, double alpha)`
`ITensionLine` | `setColor(java.awt.Color c, float alpha)`
`ITensionLine` | `setColor(java.awt.Color c, int alpha)`
`ITensionLine` | `setColor(double dgray)`
`ITensionLine` | `setColor(double dgray, double dalpha)`
`ITensionLine` | `setColor(double dr, double dg, double db)`
`ITensionLine` | `setColor(double dr, double dg, double db, double da)`
`ITensionLine` | `setColor(float fgray)`
`ITensionLine` | `setColor(float fgray, float falpha)`
`ITensionLine` | `setColor(float fr, float fg, float fb)`
`ITensionLine` | `setColor(float fr, float fg, float fb, float fa)`
`ITensionLine` | `setColor(IColor c)`
`ITensionLine` | `setColor(IColor c, double alpha)`
`ITensionLine` | `setColor(IColor c, float alpha)`
`ITensionLine` | `setColor(IColor c, int alpha)`
`ITensionLine` | `setColor(int gray)`
`ITensionLine` | `setColor(int gray, int alpha)`
`ITensionLine` | `setColor(int r, int g, int b)`
`ITensionLine` | `setColor(int r, int g, int b, int a)`
`ITensionLine` | `setHSBColor(double h, double s, double b)`
`ITensionLine` | `setHSBColor(double h, double s, double b, double a)`
`ITensionLine` | `setHSBColor(float h, float s, float b)`
`ITensionLine` | `setHSBColor(float h, float s, float b, float a)`
`ITensionLine` | `show()`
`IObject` | `target(int i)` get target object.
`ITensionLine` | `target(IObject targetObj)` add terget object to be updated by this dynamic object.
`int` | `targetNum()` get total target number.
`java.util.ArrayList<IObject>` | `targets()` get all target objects.
`double` | `tension()` tension is a coefficient to convert distance of two points to amount of force.
`ITensionLine` | `tension(double tensionIntensity)`
`void` | `update()` behavior definition of updating dynamics in each time frame
`void` | `updateTarget()` update all terget objects (should be called when the dynamic object is updated).
`ITensionLine` | `weight(double w)`
`ITensionLine` | `weight(float w)`

Methods inherited from class igeo.ICurve
`add, add, add, add, add, add, add, addCP, addCP, addCP, addCP, addCP, addCP, addCP, addCP, center, closePt, closePt, cp, cp, cp, cp, cp, cp, cpNum, cpNum, cpNum, cps, createGraphic, deg, deg, deg, dist, dist, div, div, dup, end, endCP, ep, ep, epNum, epNum, epNum, flip, flipU, get, initCurve, insertCP, insertCP, isClosed, isClosed, isClosed, isInside2d, isInside2d, isRational, isRational, isRational, isValid, knot, knot, knotNum, knotNum, knotNum, knots, knots, knots, len, len, len, mid, mirror, mirror, mul, mul, mv, mv, mv, neg, num, num, num, pt, pt, ref, ref, removeCP, removeCP, removeCP, rev, revU, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, start, startCP, sub, sub, sub, tan, tan, transform, transform, transform, transform, translate, translate, translate, u, u, u, u, u, u, u, u, uend, uend, uend, ustart, ustart, ustart`

Methods inherited from class igeo.IObject
`addDynamics, alpha, alphaInt, attr, attr, awtColor, blue, blueInt, clearDynamics, clearGraphics, clr, defaultAttribute, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getAWTColor, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, greyInt, initGraphic, initObject, isVisible, layer, name, red, redInt, resetGraphic, server, setParameter, syncColor, syncGraphic, syncVisibility, syncWeight, updateGraphic, userData, userData, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tensionDynamics

    public ITension tensionDynamics

### targets

    public java.util.ArrayList<IObject> targets

  target objects to be updated by dynamic object

Constructor Detail

### ITensionLine

    public ITensionLine(IParticleI p1,
                        IParticleI p2)

### ITensionLine

    public ITensionLine(IParticleI p1,
                        IParticleI p2,
                        double tension)

### ITensionLine

    public ITensionLine(IVecI p1,
                        IVecI p2)

### ITensionLine

    public ITensionLine(IVecI p1,
                        IVecI p2,
                        double tension)

Method Detail

### initTensionLine

    public void initTensionLine(IParticleI p1,
                                IParticleI p2)

### initTensionLine

    public void initTensionLine(IParticleI p1,
                                IParticleI p2,
                                double tension)

### tension

    public double tension()

  Description copied from interface: `ITensionI`
  tension is a coefficient to convert distance of two points to amount of force.

  Specified by:
    `tension` in interface `ITensionI`

### tension

    public ITensionLine tension(double tensionIntensity)

  Specified by:
    `tension` in interface `ITensionI`

### constant

    public boolean constant()

  Description copied from interface: `ITensionI`
  if constantTension is true, amount of force is always constant and it's equals to tension. Only direction of force changes. But if the distance is zero, force is also zero.

  Specified by:
    `constant` in interface `ITensionI`

### constant

    public ITensionLine constant(boolean cnst)

  Specified by:
    `constant` in interface `ITensionI`

### pt

    public IParticleI pt(int i)

  getting end point. i==0 or i==1. if i is other value, returns first point.

  Specified by:
    `pt` in interface `ITensionI`

### particle

    public IParticleI particle(int i)

  alias of pt(int)

  Specified by:
    `particle` in interface `ITensionI`

### pos

    public IVec pos(int i)

  position of particle(i)

  Specified by:
    `pos` in interface `ITensionI`

### pt1

    public IParticleI pt1()

  getting end point1.

  Specified by:
    `pt1` in interface `ITensionI`

### particle1

    public IParticleI particle1()

  alias of pt1()

  Specified by:
    `particle1` in interface `ITensionI`

### pos1

    public IVec pos1()

  position of particle1

  Specified by:
    `pos1` in interface `ITensionI`

### pt2

    public IParticleI pt2()

  getting end point2.

  Specified by:
    `pt2` in interface `ITensionI`

### particle2

    public IParticleI particle2()

  alias of pt2()

  Specified by:
    `particle2` in interface `ITensionI`

### pos2

    public IVec pos2()

  position of particle2

  Specified by:
    `pos2` in interface `ITensionI`

### parent

    public ITensionLine parent()

  for IDynamics

  Specified by:
    `parent` in interface `ISubobject`

### parent

    public ITensionLine parent(IObject par)

  Description copied from interface: `ISubobject`
  setting parent object

  Specified by:
    `parent` in interface `ISubobject`

### localDynamics

    public java.util.ArrayList<IDynamics> localDynamics()

  IDynamicsBase doesn't implement local dynamics feature

  Specified by:
    `localDynamics` in interface `IDynamics`

### target

    public ITensionLine target(IObject targetObj)

  Description copied from interface: `IDynamics`
  add terget object to be updated by this dynamic object.

  Specified by:
    `target` in interface `IDynamics`

### targetNum

    public int targetNum()

  get total target number.

  Specified by:
    `targetNum` in interface `IDynamics`

### target

    public IObject target(int i)

  get target object.

  Specified by:
    `target` in interface `IDynamics`

### targets

    public java.util.ArrayList<IObject> targets()

  get all target objects.

  Specified by:
    `targets` in interface `IDynamics`

### removeTarget

    public ITensionLine removeTarget(int i)

  remove target object.

  Specified by:
    `removeTarget` in interface `IDynamics`

### removeTarget

    public ITensionLine removeTarget(IObject obj)

  remove target object.

  Specified by:
    `removeTarget` in interface `IDynamics`

### updateTarget

    public void updateTarget()

  update all terget objects (should be called when the dynamic object is updated).

  Specified by:
    `updateTarget` in interface `IDynamics`

### interact

    public void interact(java.util.ArrayList<IDynamics> dynamics)

  behavior definition of interaction with other dynamic objects. The server puts all dynamic objects including itself.

  Specified by:
    `interact` in interface `IDynamics`

### update

    public void update()

  behavior definition of updating dynamics in each time frame

  Specified by:
    `update` in interface `IDynamics`

### preinteract

    public void preinteract(java.util.ArrayList<IDynamics> dynamics)

  Description copied from interface: `IDynamics`
  executed before interact(ArrayList). behavior can be changed by IConfig.enablePreinteract and IConfig.loopPreinteract.

  Specified by:
    `preinteract` in interface `IDynamics`

### postinteract

    public void postinteract(java.util.ArrayList<IDynamics> dynamics)

  Description copied from interface: `IDynamics`
  executed after interact(ArrayList). behavior can be changed by IConfig.enablePostinteract and IConfig.loopPostinteract. If IConfig.loopPostinteract is false, preupdate is executed before post interact (updated 2012/08/26).

  Specified by:
    `postinteract` in interface `IDynamics`

### preupdate

    public void preupdate()

  Description copied from interface: `IDynamics`
  executed before update(). behavior can be changed by IConfig.enablePreupdate and IConfig.loopPreupdate. If IConfig.loopPreupdate is false, preupdate is executed before post interact (updated 2012/08/26).

  Specified by:
    `preupdate` in interface `IDynamics`

### postupdate

    public void postupdate()

  Description copied from interface: `IDynamics`
  executed after update(). behavior can be changed by IConfig.enablePostupdate and IConfig.loopPostupdate.

  Specified by:
    `postupdate` in interface `IDynamics`

### name

    public ITensionLine name(java.lang.String nm)

  IObject methods

  Overrides:
    `name` in class `ICurve`

### layer

    public ITensionLine layer(ILayer l)

  Description copied from class: `IGeometry`
  Set layer by ILayer object

  Overrides:
    `layer` in class `ICurve`

### layer

    public ITensionLine layer(java.lang.String l)

  Description copied from class: `IGeometry`
  Set layer by layer name. If the layer specified by the name is not existing in the server, a new layer is automatically created in the server

  Overrides:
    `layer` in class `ICurve`

### attr

    public ITensionLine attr(IAttribute at)

  Description copied from class: `IObject`
  set attributes

  Overrides:
    `attr` in class `ICurve`

### hide

    public ITensionLine hide()

  Overrides:
    `hide` in class `ICurve`

### show

    public ITensionLine show()

  Overrides:
    `show` in class `ICurve`

### clr

    public ITensionLine clr(IColor c)

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(IColor c,
                            int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(IColor c,
                            float alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(IColor c,
                            double alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(java.awt.Color c)

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(java.awt.Color c,
                            int alpha)

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(java.awt.Color c,
                            float alpha)

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(java.awt.Color c,
                            double alpha)

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(int gray)

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(float fgray)

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(double dgray)

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(int gray,
                            int alpha)

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(float fgray,
                            float falpha)

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(double dgray,
                            double dalpha)

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(int r,
                            int g,
                            int b)

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(float fr,
                            float fg,
                            float fb)

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(double dr,
                            double dg,
                            double db)

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(int r,
                            int g,
                            int b,
                            int a)

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(float fr,
                            float fg,
                            float fb,
                            float fa)

  Overrides:
    `clr` in class `ICurve`

### clr

    public ITensionLine clr(double dr,
                            double dg,
                            double db,
                            double da)

  Overrides:
    `clr` in class `ICurve`

### hsb

    public ITensionLine hsb(float h,
                            float s,
                            float b,
                            float a)

  Overrides:
    `hsb` in class `ICurve`

### hsb

    public ITensionLine hsb(double h,
                            double s,
                            double b,
                            double a)

  Overrides:
    `hsb` in class `ICurve`

### hsb

    public ITensionLine hsb(float h,
                            float s,
                            float b)

  Overrides:
    `hsb` in class `ICurve`

### hsb

    public ITensionLine hsb(double h,
                            double s,
                            double b)

  Overrides:
    `hsb` in class `ICurve`

### setColor

    public ITensionLine setColor(IColor c)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(IColor c,
                                 int alpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(IColor c,
                                 float alpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(IColor c,
                                 double alpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(java.awt.Color c)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(java.awt.Color c,
                                 int alpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(java.awt.Color c,
                                 float alpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(java.awt.Color c,
                                 double alpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(int gray)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(float fgray)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(double dgray)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(int gray,
                                 int alpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(float fgray,
                                 float falpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(double dgray,
                                 double dalpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(int r,
                                 int g,
                                 int b)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(float fr,
                                 float fg,
                                 float fb)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(double dr,
                                 double dg,
                                 double db)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(int r,
                                 int g,
                                 int b,
                                 int a)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(float fr,
                                 float fg,
                                 float fb,
                                 float fa)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public ITensionLine setColor(double dr,
                                 double dg,
                                 double db,
                                 double da)

  Overrides:
    `setColor` in class `ICurve`

### setHSBColor

    public ITensionLine setHSBColor(float h,
                                    float s,
                                    float b,
                                    float a)

  Overrides:
    `setHSBColor` in class `ICurve`

### setHSBColor

    public ITensionLine setHSBColor(double h,
                                    double s,
                                    double b,
                                    double a)

  Overrides:
    `setHSBColor` in class `ICurve`

### setHSBColor

    public ITensionLine setHSBColor(float h,
                                    float s,
                                    float b)

  Overrides:
    `setHSBColor` in class `ICurve`

### setHSBColor

    public ITensionLine setHSBColor(double h,
                                    double s,
                                    double b)

  Overrides:
    `setHSBColor` in class `ICurve`

### weight

    public ITensionLine weight(double w)

  Overrides:
    `weight` in class `ICurve`

### weight

    public ITensionLine weight(float w)

  Overrides:
    `weight` in class `ICurve`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD